Skip to main content
GET
/
refunds
/
{id}
Refund
curl --request GET \
  --url https://api.sandbox.isometric.com/registry/v0/refunds/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'x-client-secret: <x-client-secret>'
{
  "credit_batch_size_total": {
    "credit_kgs": 123,
    "credits": 123
  },
  "from_buffer_pool_organisation": {
    "domain": "isometric.com",
    "id": "org_1GB56M1ST1S0GVNA",
    "name": "<string>"
  },
  "id": "bpr_1E5BH6AG21S0SKTW",
  "notes": "<string>",
  "refunded_at": "2023-11-07T05:31:56Z",
  "to_organisation": {
    "domain": "isometric.com",
    "id": "org_1GB56M1ST1S0GVNA",
    "name": "<string>"
  }
}

Authorizations

Authorization
string
header
required

A JWT Bearer token header for authentication and authorization, in the format Authorization: Bearer <token>

Headers

x-client-secret
string
required

A secret token identifying the client connecting to the API

Example:

"Syou3EZiO5vuMEgNyBeA8cjEMYOnQDwP"

Path Parameters

id
string
required
Required string length: 20 - 37
Examples:

"bpr_1E5BH6AG21S0SKTW"

"bpr_1E94SXW89SBX58PK"

Response

Successful Response

credit_batch_size_total
CreditQuantity · object
required
from_buffer_pool_organisation
Organisation · object
required
id
string
required
Required string length: 20 - 37
Examples:

"bpr_1E5BH6AG21S0SKTW"

"bpr_1E94SXW89SBX58PK"

notes
string
required
refunded_at
string<date-time>
required
to_organisation
Organisation · object
required